Bug 250990 - graphics/blender and graphics/openshadinglanguage: respect LLVM_DEFAULT
Summary: graphics/blender and graphics/openshadinglanguage: respect LLVM_DEFAULT
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Dima Panov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-11-09 17:51 UTC by VVD
Modified: 2020-11-17 02:13 UTC (History)
2 users (show)

See Also:
FreeBSD: maintainer-feedback+


Attachments
Make graphics/blender and graphics/openshadinglanguage respect LLVM_DEFAULT (1.29 KB, patch)
2020-11-09 17:51 UTC, VVD
no flags Details | Diff
Make graphics/blender and graphics/openshadinglanguage respect LLVM_DEFAULT (1.33 KB, patch)
2020-11-11 15:29 UTC, VVD
vvd: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description VVD 2020-11-09 17:51:26 UTC
Created attachment 219497 [details]
Make graphics/blender and graphics/openshadinglanguage respect LLVM_DEFAULT

Build and run fine with llvm10 on 12.1-p10 amd64.
Comment 1 Shane 2020-11-10 05:52:24 UTC
This is a good workable idea.

Small change, I would take out the .include <bsd.port.pre.mk> - in porters handbook 5.13 (see paragragh above example 5.39) it sounds to me like bsd.port.options.mk is preferred over bsd.port.pre.mk and is meant to replace it.

And if we keep .include <bsd.port.pre.mk>, the last line needs to change to .include <bsd.port.post.mk>

Porters handbook 13.5 -> 
Important:
Include either the bsd.port.pre.mk/bsd.port.post.mk pair or bsd.port.mk only; do not mix these two usages.
Comment 2 VVD 2020-11-10 20:40:31 UTC
(In reply to Shane from comment #1)
Do you want me to fix my patch or will you fix it yourself?
Comment 3 Shane 2020-11-11 02:15:31 UTC
It would be easier for you to update your patch
Comment 4 VVD 2020-11-11 15:29:01 UTC
Created attachment 219558 [details]
Make graphics/blender and graphics/openshadinglanguage respect LLVM_DEFAULT

(In reply to Shane from comment #3)
Replaced with bsd.port.options.mk.
Comment 5 VVD 2020-11-16 00:56:33 UTC
(In reply to Shane from comment #3)
Something wrong with patch?
Comment 6 Shane 2020-11-16 20:22:56 UTC
I would approve the patch if it would let me. I meant to do that earlier.
Comment 7 Shane 2020-11-16 20:23:30 UTC
Comment on attachment 219558 [details]
Make graphics/blender and graphics/openshadinglanguage respect LLVM_DEFAULT

see if a commment helps
Comment 8 VVD 2020-11-16 23:43:03 UTC
(In reply to Shane from comment #7)
Can you, plz, approve patch too?
Comment 9 commit-hook freebsd_committer 2020-11-17 02:11:32 UTC
A commit references this bug:

Author: fluffy
Date: Tue Nov 17 02:10:43 UTC 2020
New revision: 555532
URL: https://svnweb.freebsd.org/changeset/ports/555532

Log:
  graphics/blender and graphics/openshadinglanguage: respect LLVM_DEFAULT

  PR:		250990
  Submitted by:	vvd@unislabs.com
  Approved by:	maintainer

Changes:
  head/graphics/blender/Makefile
  head/graphics/openshadinglanguage/Makefile
Comment 10 Dima Panov freebsd_committer 2020-11-17 02:13:54 UTC
Committed, thanks!